#!/bin/bash
cat ./index_header > index.html
for INFILE in `ls *.json | grep -v message | sort -n` ; do
  echo -n "$INFILE, "
  FILEID=`echo $INFILE | cut -f 1 -d "."`
  FILENAME=$FILEID.html
  
  SUBJECT=`grep '\"subject\"' $INFILE | cut -f 4 -d "\"" | cut -f 1 -d ","`
  POSTDATE=`grep '\"postDate\"' $INFILE | cut -f 4 -d "\"" | cut -f 1 -d ","`
  MSGDATE=`date -r $POSTDATE  +%Y-%m-%d`
  AUTHOR=`grep '\"from\"' $INFILE | cut -f 4 -d "\"" | cut -f 1 -d "\""`
  if [ "x$SUBJECT" = "x" ] ; then
     SUBJECT="--message deleted on yahoo (spam?)--"
  fi
  echo "<tr id=\"$FILEID\"><td>$MSGDATE</td><td><A HREF=$FILENAME>$SUBJECT</A></td><td>$AUTHOR</td></tr>" >> index.html
done 
cat ./index_footer  >> index.html
echo ""
